<?php


namespace App\Entities\RespostaEscolhaOpcao;


use App\Utils\Builder;

/**
 * Class RespostaEscolhaOpcaoBuilder
 * @package App\Entities\RespostaEscolhaOpcao
 */
class RespostaEscolhaOpcaoBuilder implements Builder
{
    /**
     * @var
     */
    protected $id;
    /**
     * @var
     */
    protected $id_opcao_pergunta;
    /**
     * @var
     */
    protected $id_resposta_formulario;

    /**
     * @param int $id
     * @return $this
     */
    public function setId(int $id): RespostaEscolhaOpcaoBuilder
    {
        $this->id = $id;
        return $this;
    }

    /**
     * @param int $id_opcao_pergunta
     * @return $this
     */
    public function setIdOPCAOPERGUNTA($id_opcao_pergunta): RespostaEscolhaOpcaoBuilder
    {
        $this->id_opcao_pergunta = $id_opcao_pergunta;
        return $this;
    }

    /**
     * @param int $id_resposta_formulario
     * @return $this
     */
    public function setIdRESPOSTAFORMULARIO(int $id_resposta_formulario): RespostaEscolhaOpcaoBuilder
    {
        $this->id_resposta_formulario = $id_resposta_formulario;
        return $this;
    }

    /**
     * @return RespostaEscolhaOpcao
     */
    public function build(): RespostaEscolhaOpcao
    {
        $resposta_escolha_opcao = new RespostaEscolhaOpcao();
        if (isset($this->id)) {
            $resposta_escolha_opcao->setid($this->id);
        }
        if (isset($this->id_opcao_pergunta)) {
            $resposta_escolha_opcao->setidOPCAOPERGUNTA($this->id_opcao_pergunta);
        }
        if (isset($this->id_resposta_formulario)) {
            $resposta_escolha_opcao->setidRESPOSTAFORMULARIO($this->id_resposta_formulario);
        }
        return $resposta_escolha_opcao;
    }
}